use aoc22::{
    day8::{self, calc_scenic_score},
    util,
};

pub fn main() {
    let grid = day8::parse_grid(&util::parse_input());

    let rows = grid.len();
    assert!(rows > 0);
    let cols = grid.get(0).unwrap().len();
    assert!(cols > 0);

    let max_score = (0..rows)
        .map(move |r| (0..cols).map(move |c| (r, c)))
        .flatten()
        .map(|c| calc_scenic_score(&grid, c))
        .max()
        .unwrap();

    println!("Max scenic score is {}", max_score);
}
